.#{$namespace}-divider
  display: flex
  align-items: center
  justify-content: center
  min-height: 1px
  position: relative

  &:before, &:after
    content: ''
    flex: 1
    height: 1px
    background-color: $border

    &:before
      margin-right: 0
    &:after
      margin-left: 0

  &.has-content
    &:before
      margin-right: 0.5rem
    &:after
      margin-left: 0.5rem

  &.is-dark 
    &:before, &:after
      background-color: rgba(255,255,255,0.12)

  &.is-dotted
    &:before, &:after
      background-color: transparent
      background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAMAAAACCAYAAACddGYaAAAAGUlEQVQYV2NkYGCQZ2BgeMjAwMDACCJgAAASvQEDOTli/wAAAABJRU5ErkJggg==)

  &.is-vertical
    width: 1px
    height: 100%
    &:before
      height: 100%
      min-height: 44px
    &:after
      content: none